Package org.gradle.api.artifacts

## Interface ArtifactView

- All Superinterfaces:
    `HasAttributes`
  All Known Subinterfaces:
    `ResolvableDependencies`

      public interface ArtifactView
      extends HasAttributes

  A view over the artifacts resolved for this set of dependencies. By default, the view returns all files and artifacts, but this can be restricted by component identifier or by attributes.
  Since:
    3.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `ArtifactView.ViewConfiguration` | Configuration for a defined artifact view.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ArtifactCollection` | `getArtifacts()` | Returns the collection of artifacts matching the requested attributes that are sourced from Components matching the specified filter.
    `FileCollection` | `getFiles()` | Returns the collection of artifact files matching the requested attributes that are sourced from Components matching the specified filter.

    - ### Methods inherited from interface org.gradle.api.attributes.HasAttributes

      `getAttributes`

- - ### Method Detail

    - #### getArtifacts

          ArtifactCollection getArtifacts()

      Returns the collection of artifacts matching the requested attributes that are sourced from Components matching the specified filter.

    - #### getFiles

          FileCollection getFiles()

      Returns the collection of artifact files matching the requested attributes that are sourced from Components matching the specified filter.